Subject: bug#54109: Document package variable in virtlogd service

From: Simon Streit <[email-masked]>
Date: Tue, 22 Feb 2022 16:46:15 +0100

Hello!

I would like to suggest a little extension in the manual.

I noticed that the package variable for virtlogd service is not
documented.  It is possible to define the package as (libvirt libvirt)
for said service.  While it is closely related to libvirt-service-type,
the package variable may still be independently modified.

This only became clear after using inferiors in libvirt-service-type for
some time now.  New Qemu packages would still be pulled in after
reconfiguring with new checkouts.  Unfortunately Qemu's packages take a
lot of space, which is why I've pinned it to a fixed version.

Thus I think this should be included into the manual.

>From 634dae4017e840f24e8ed2240707602700e9cf25 Mon Sep 17 00:00:00 2001
From: Simon Streit <[email-masked]>
Date: Tue, 22 Feb 2022 16:23:38 +0100
Subject: [PATCH] doc: Add documentation.

* doc/guix.texi (Virtualization Services): Document virtlogd package
variable.
---
 doc/guix.texi | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index a4145af7fd..528760d7f6 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -30888,6 +30888,10 @@ Its value must be a @code{virtlog-configuration}.
 @end lisp
 @end deffn
 
+@deftypevar {@code{libvirt} parameter} package libvirt
+Libvirt package.
+@end deftypevar
+
 @deftypevr {@code{virtlog-configuration} parameter} integer log-level
 Logging level.  4 errors, 3 warnings, 2 information, 1 debug.
 
-- 
2.34.0

Kind regards
Simon